#
# spec file for package python-robot-detection
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define pypiver 0.4
%{?sle15_python_module_pythons}
Name:           python-robot-detection
Version:        0.4.0
Release:        5.1
Summary:        HTTP User Agent Bot Detection
License:        GPL-3.0-or-later
URL:            https://github.com/rory/robot-detection
# https://github.com/rory/robot-detection/issues/2
Source0:        https://github.com/rory/robot-detection/archive/v%{version}.tar.gz
# PATCH-FIX-UPSTREAM https://github.com/amandasaurus/robot-detection/pull/3 get rid of six
Patch0:         no-six.patch
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Library for detecting if a HTTP User Agent header is likely to be a bot.

%prep
%autosetup -p1 -n robot-detection-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest

%files %{python_files}
%doc README.md
%license LICENCE
%{python_sitelib}/robot_detection.py
%{python_sitelib}/robot_detection-%{pypiver}*info
%pycache_only %{python_sitelib}/__pycache__/robot_detection*

%changelog
* Thu Jun 12 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Fri Jun  7 2024 Markéta Machová <mmachova@suse.com>
- Add no-six.patch to get rid of the six dependency
* Mon Jun 19 2023 Andreas Schneider <asn@cryptomilk.org>
- Use {?sle15_python_module_pythons}
* Mon Nov  8 2021 Dirk Müller <dmueller@suse.com>
- explicitly add six for testsuite
* Mon Dec  2 2019 pgajdos@suse.com
- call spec-cleaner
* Wed Nov  6 2019 pgajdos@suse.com
- replace setup.py test with unittest discover
* Wed Oct  2 2019 pgajdos@suse.com
- initial version 0.4, required by pyton-HyperKitty [SLE-7686]
